> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get CDN service status details

> Get information about CDN service status of the specific client account.



## OpenAPI

````yaml /api-reference/services_documented/cdn_reseller_api.yaml get /cdn/clients/{client_id}/service
openapi: 3.1.0
info:
  title: Gcore OpenAPI – CDN Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: CDN Reseller Account
    description: Information about CDN product settings in your account.
    x-displayName: Account
  - name: CDN Reseller service
    description: Information about the current state of CDN service in your account.
    x-displayName: CDN service
  - name: CDN Reseller Features
    description: Information about free and paid features available for you account.
    x-displayName: Features
  - name: Balancer
    description: >-
      Balancer allows choosing CDN server locations that will be used for
      content delivery.


      To activate balancer, [set client’s balancer
      settings](/docs/api-reference/cdn-resellers/balancer/set-client-balancer-settings).
    x-displayName: Balancer
  - name: CDN Reseller Origin shielding
    description: >-
      Origin shielding helps protect your origin server from being overloaded
      with requests from multiple CDN servers.

      The option accumulates all CDN server requests at a special server called
      a shield or precache server.


      When shielding is enabled, only one precache server communicates with the
      origin host, not the entire CDN.
    x-displayName: Origin shielding
paths:
  /cdn/clients/{client_id}/service:
    get:
      tags:
        - CDN Reseller service
      summary: Get CDN service status details
      description: Get information about CDN service status of the specific client account.
      operationId: get-cdn-service-status-details
      parameters:
        - $ref: '#/components/parameters/path_client_id'
      responses:
        '200':
          $ref: '#/components/responses/ServiceDetails'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    path_client_id:
      name: client_id
      in: path
      required: true
      schema:
        allOf:
          - $ref: '#/components/schemas/body_response_client_ID'
  responses:
    ServiceDetails:
      description: Successful.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/body_response_client_Service'
          examples:
            default:
              $ref: '#/components/examples/ServiceDetails'
    NotFound:
      description: The client is not found.
  schemas:
    body_response_client_ID:
      type: integer
      description: Client account ID.
    body_response_client_Service:
      type: object
      description: CDN service status.
      properties:
        enabled:
          allOf:
            - $ref: '#/components/schemas/body_response_service_Enabled'
        status:
          allOf:
            - $ref: '#/components/schemas/body_response_service_Status'
        updated:
          allOf:
            - $ref: '#/components/schemas/body_response_service_Updated'
    body_response_service_Enabled:
      type: boolean
      description: |-
        Defines whether the service is activated.

        Possible values are:
        - **true** - Service is activated.
        - **false** - Service is not activated.
    body_response_service_Status:
      type: string
      description: >-
        Service status.


        Possible values:

        - **new** - CDN service is not activated.

        - **trial** - Free trial is in progress.

        - **trialend** - Free trial has ended and CDN service is stopped. All
        client CDN resources are suspended.

        - **activating** - CDN service is being activated. It can take up to 15
        minutes.

        - **active** - CDN service is active.

        - **paused** - CDN service is stopped. All client CDN resources are
        suspended.

        - **deleted** - CDN service is stopped. All client CDN resources are
        deleted.
    body_response_service_Updated:
      type: string
      description: Date of the last status update.
  examples:
    ServiceDetails:
      value:
        enabled: true
        status: active
        updated: '2021-06-10T10:30:04.954354Z'
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````